<nav class="navb navbar navbar-expand-md navbar-dark bg-faded">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto row">
        <!-- active -->
        <li class="nav-item" routerLinkActive="active">
            <a class="nav-link" [routerLink]="['/inventario']">Regresar</a>
        </li>
        </ul>
    </div>
</nav>
<div>
    <div class="container cont">
        <div>
            <h1 class="tit text-center p-4">Nuevo Producto</h1>
        </div>
        <div class="row justify-content-center align-items-center">
            <div class="col-5" >
                <form (submit)="enviar()">
                    <div class="form-group">
                        <label for="">Nombre</label>
                        <input type="text" class="form-control" [(ngModel)]="producto.name" name="name" >
                    </div><br/>
                    <div class="form-group ">
                        <label for="">Categoria</label>
                        <select name="Categoria" [(ngModel)]="producto.categoria" class="form-control">
                            <option value="">Seleccionar</option>
                            <option name="categoria" *ngFor="let categoria of categorias">{{categoria.nombre}}</option>
                        </select>
                    </div><br/>
                    <div class="form-group">
                        <label for="">Cantidad</label>
                        <input type="number" class="form-control" [(ngModel)]="producto.cantidad" name="cantidad">
                    </div><br/>
                    <div class="form-group">
                        <label for="">Costo Venta</label>
                        <input type="number" class="form-control" [(ngModel)]="producto.costo_venta" name="costo_venta">
                    </div><br/>
                    <div class="form-group">
                        <label for="">Costo Compra</label>
                        <input type="number" class="form-control" [(ngModel)]="producto.costo_compra" name="costo_compra">
                    </div><br/>
                    <div class="form-group">
                        <label for="" >Proveedor</label>
                        <select name="Proveedor" [(ngModel)]="producto.proveedor" class="form-control">
                            <option value="">Seleccionar</option>
                            <option name="proveedor" *ngFor="let proveedor of listProveedores">{{proveedor.ruc}}</option>
                        </select>
                    </div><br/>
                    <div class="text-center">
                        <button type="submit" id="bo" class="btn">
                            Enviar
                        </button>
                        <a style="margin: 30px;"></a>
                        <button class="btn" id="bo2" [routerLink]="['/inventario']" >
                            Cancelar
                        </button>
                    </div> 
                </form>
            </div>        
        </div>
    </div>
</div>
